{% extends 'base.html.twig' %}

{% block title %}Basket index{% endblock %}

{% block body %}
    <h1>Basket index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>Description</th>
                <th>Enable</th>
                <th>TotalAmout</th>
                <th>Devise</th>
                <th>Vat</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for basket in baskets %}
            <tr>
                <td>{{ basket.id }}</td>
                <td>{{ basket.title }}</td>
                <td>{{ basket.description }}</td>
                <td>{{ basket.enable ? 'Yes' : 'No' }}</td>
                <td>{{ basket.totalAmout }}</td>
                <td>{{ basket.devise }}</td>
                <td>{{ basket.vat }}</td>
                <td>
                    <a href="{{ path('basket_show', {'id': basket.id}) }}">show</a>
                    <a href="{{ path('basket_edit', {'id': basket.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="8">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('basket_new') }}">Create new</a>
{% endblock %}
